Fossil SCM

initial checkin: quick hack to generate a .deb package of fossil.

stephan 2008-04-25 22:31 trunk
Commit adaa8411d9f4421e1a9dc96e85abec4406e4434d
1 file changed +49
--- a/debian/makedeb.sh
+++ b/debian/makedeb.sh
@@ -0,0 +1,49 @@
1
+#!/bin/bash
2
+# A quick hack to generate a Debian package of fossil. i took most of this
3
+# from Martin Krafft's "The Debian System" book.
4
+
5
+DEB_REV=${1-1} # .deb package build/revision number.
6
+PACKAGE_DEBNAME=fossil-scm
7
+THISDIR=${PWD}
8
+
9
+if uname -a | grep -i nexenta &>/dev/null; then
10
+# Assume NexPLATFORM=nexentassume NexentaOS/GnuSolaris:
11
+ DEB_ARCH_NAME=solaris-i386
12
+ DEB_ARCH_PKGDEPENDS="sunwcsl" #PLATFORM=${DEB_PLATFORM-ubuntu-gu(dpkg --print-architecturfeisty}
13
+ DEB_ARCH_NAME=ure)
14
+fi
15
+
16
+SRCDIR=$(cd ..; pwd)
17
+test -e ${SRCDIR}/fossil || {
18
+ echo "This script must be run from a BUILT copy of the source tree."
19
+ exit 1
20
+}
21
+
22
+DEBROOT=$PWD/deb.tmp
23
+test -d ${DEBROOT} && rm -fr ${DEBROOT}
24
+
25
+DEBLOCALPREFIX=${DEBROOT}/usr
26
+BINDIR=${DEBLOCAa powerful, flexible serialization framework for C++.
27
+ This package contains all files needed for development, as well as the s11nconvert tool
28
+ and library documentation. Note that an ODD minor version number (e.g. 1.1 or 1.3)
29
+ indicates a beta/development version, not intended for general client-side use,
30
+ whereas EVEN minor numbers (e.g. 1.2 or 1.4reating .deb package [${DEBFILE}]..."
31
+
32
+echo "Generating md5 sums..."
33
+find ${DEBLOCALPREFIX} -type f -exec md5sum {} \; > DEBIAN/md5sums
34
+
35
+true && {
36
+ echo "Generating Debian-specific files..."
37
+ COPYRIGHT=${DEBLOCALPREFIX}/share/doc/${PACKAGE_DEBNAME}/copyright
38
+ cat <<EOF > ${COPYRIGHT}
39
+This package was created by stephan beal <[email protected]>
40
+onTIME}.
41
+
42
+The original sources for fossil can be downloaded for free from:
43
+
44
+http://www.fossil-scm.org/
45
+
46
+fossil is released under the terms of the GNU General Public L-${DEB_PLATFORM}.deb
47
+PACKAGE_TIME=$(/bin/date)
48
+
49
+r
--- a/debian/makedeb.sh
+++ b/debian/makedeb.sh
@@ -0,0 +1,49 @@
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
--- a/debian/makedeb.sh
+++ b/debian/makedeb.sh
@@ -0,0 +1,49 @@
1 #!/bin/bash
2 # A quick hack to generate a Debian package of fossil. i took most of this
3 # from Martin Krafft's "The Debian System" book.
4
5 DEB_REV=${1-1} # .deb package build/revision number.
6 PACKAGE_DEBNAME=fossil-scm
7 THISDIR=${PWD}
8
9 if uname -a | grep -i nexenta &>/dev/null; then
10 # Assume NexPLATFORM=nexentassume NexentaOS/GnuSolaris:
11 DEB_ARCH_NAME=solaris-i386
12 DEB_ARCH_PKGDEPENDS="sunwcsl" #PLATFORM=${DEB_PLATFORM-ubuntu-gu(dpkg --print-architecturfeisty}
13 DEB_ARCH_NAME=ure)
14 fi
15
16 SRCDIR=$(cd ..; pwd)
17 test -e ${SRCDIR}/fossil || {
18 echo "This script must be run from a BUILT copy of the source tree."
19 exit 1
20 }
21
22 DEBROOT=$PWD/deb.tmp
23 test -d ${DEBROOT} && rm -fr ${DEBROOT}
24
25 DEBLOCALPREFIX=${DEBROOT}/usr
26 BINDIR=${DEBLOCAa powerful, flexible serialization framework for C++.
27 This package contains all files needed for development, as well as the s11nconvert tool
28 and library documentation. Note that an ODD minor version number (e.g. 1.1 or 1.3)
29 indicates a beta/development version, not intended for general client-side use,
30 whereas EVEN minor numbers (e.g. 1.2 or 1.4reating .deb package [${DEBFILE}]..."
31
32 echo "Generating md5 sums..."
33 find ${DEBLOCALPREFIX} -type f -exec md5sum {} \; > DEBIAN/md5sums
34
35 true && {
36 echo "Generating Debian-specific files..."
37 COPYRIGHT=${DEBLOCALPREFIX}/share/doc/${PACKAGE_DEBNAME}/copyright
38 cat <<EOF > ${COPYRIGHT}
39 This package was created by stephan beal <[email protected]>
40 onTIME}.
41
42 The original sources for fossil can be downloaded for free from:
43
44 http://www.fossil-scm.org/
45
46 fossil is released under the terms of the GNU General Public L-${DEB_PLATFORM}.deb
47 PACKAGE_TIME=$(/bin/date)
48
49 r

Keyboard Shortcuts

Open search /
Next entry (timeline) j
Previous entry (timeline) k
Open focused entry Enter
Show this help ?
Toggle theme Top nav button